<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Employee Form</title>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <h2>Amr Amer</h2>
    <form id="userForm">
        <label for="name">Name:</label><br>
        <input type="text" id="name" name="name" required><br><br>
        
        <label for="team">Team:</label><br>
        <input type="text" id="team" name="team" required><br><br>

        <label for="salary">Salary:</label><br>
        <input type="number" id="salary" name="salary" required><br><br>

        <label for="age">Age:</label><br>
        <input type="number" id="age" name="age" required><br><br>

        <input type="submit" value="Submit">
    </form>

    <script>
        document.getElementById('userForm').addEventListener('submit', function(event) {
            event.preventDefault(); // Prevent the form from submitting normally
            
            // Get form data
            var formData = new FormData(this);
            
            // Send form data to server using AJAX
            var xhr = new XMLHttpRequest();
            xhr.open('POST', 'mysql-connect.sh', true);
            xhr.onload = function() {
                if (xhr.status === 200) {
                    alert('Data saved successfully!');
                } else {
                    alert('Error: ' + xhr.responseText);
                }
            };
            xhr.send(formData);
        });
    </script>
</body>
</html>
